Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
errore sqlite, python [RISOLTO]
View unanswered posts
View posts from last 24 hours
View posts from last 7 days

 
Reply to topic    Gentoo Forums Forum Index Forum italiano (Italian)
View previous topic :: View next topic  
Author Message
mattylux
Apprentice
Apprentice


Joined: 19 Jul 2008
Posts: 240
Location: bologna

PostPosted: Wed Nov 24, 2010 11:08 am    Post subject: errore sqlite, python [RISOLTO] Reply with quote

salve
ieri sera mentre ho fatto un controllo su gnome se era tutto inordine e che non mancasse nulla emergendo gnome c'era 5 pacchetti da ricompilare e dev-e /python e sqlite da inserire in package.use. io subito ho inserito soltanto dev-lang/python poi quando mi sono trovato alla fine con gli ultimi due pacchetti da compilare


Code:
Calculating dependencies... done!
[ebuild  N    ] gnome-extra/hamster-applet-2.30.2-r1  USE="eds libnotify" 0 kB
[ebuild  N    ] gnome-base/gnome-2.30.2  USE="cdr cups dvdr ldap policykit -accessibility -mono" 0 kB


qui si è bloccato gnome-extra/hamster-applet-2.30.2-r1 dandomi questo errore

Code:
[ebuild  N    ] gnome-extra/hamster-applet-2.30.2-r1  USE="eds libnotify" 0 kB

Total: 1 package (1 new), Size of downloads: 0 kB

Would you like to merge these packages? [Yes/No] yes

>>> Verifying ebuild manifests

>>> Emerging (1 of 1) gnome-extra/hamster-applet-2.30.2-r1
 * hamster-applet-2.30.2.tar.bz2 RMD160 SHA1 SHA256 size ;-) ...         [ ok ]
 * checking ebuild checksums ;-) ...                                     [ ok ]
 * checking auxfile checksums ;-) ...                                    [ ok ]
 * checking miscfile checksums ;-) ...                                   [ ok ]
 * CPV:  gnome-extra/hamster-applet-2.30.2-r1
 * REPO: gentoo
 * USE:  build eds elibc_glibc kernel_linux libnotify userland_GNU x86
>>> Unpacking source...
>>> Unpacking hamster-applet-2.30.2.tar.bz2 to /var/tmp/portage/gnome-extra/hamster-applet-2.30.2-r1/work
>>> Source unpacked in /var/tmp/portage/gnome-extra/hamster-applet-2.30.2-r1/work
>>> Preparing source in /var/tmp/portage/gnome-extra/hamster-applet-2.30.2-r1/work/hamster-applet-2.30.2 ...
 * Fixing OMF Makefiles ...                                               [ ok ]
 * Running elibtoolize in: hamster-applet-2.30.2/
 *   Applying portage-2.2.patch ...
 *   Applying sed-1.5.6.patch ...
 *   Applying as-needed-2.2.6.patch ...
 * Applying hamster-applet-2.30.2-fix-import.patch ...                    [ ok ]
>>> Source prepared.
>>> Configuring source in /var/tmp/portage/gnome-extra/hamster-applet-2.30.2-r1/work/hamster-applet-2.30.2 ...
 * econf: updating hamster-applet-2.30.2/config.sub with /usr/share/gnuconfig/config.sub
 * econf: updating hamster-applet-2.30.2/config.guess with /usr/share/gnuconfig/config.guess
./configure --prefix=/usr --build=i686-pc-linux-gnu --host=i686-pc-linux-gnu --mandir=/usr/share/man --infodir=/usr/share/info --datadir=/usr/share --sysconfdir=/etc --localstatedir=/var/lib
checking for a BSD-compatible install... /usr/bin/install -c
checking whether build environment is sane... yes
checking for a thread-safe mkdir -p... /bin/mkdir -p
checking for gawk... gawk
checking whether make sets $(MAKE)... yes
checking whether to enable maintainer-specific portions of Makefiles... no
checking build system type... i686-pc-linux-gnu
checking host system type... i686-pc-linux-gnu
checking for style of include used by make... GNU
checking for i686-pc-linux-gnu-gcc... i686-pc-linux-gnu-gcc
checking whether the C compiler works... yes
checking for C compiler default output file name... a.out
checking for suffix of executables...
checking whether we are cross compiling... no
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether i686-pc-linux-gnu-gcc accepts -g... yes
checking for i686-pc-linux-gnu-gcc option to accept ISO C89... none needed
checking dependency style of i686-pc-linux-gnu-gcc... gcc3
checking for a sed that does not truncate output... /bin/sed
checking for grep that handles long lines and -e... /bin/grep
checking for egrep... /bin/grep -E
checking for fgrep... /bin/grep -F
checking for ld used by i686-pc-linux-gnu-gcc... /usr/i686-pc-linux-gnu/bin/ld
checking if the linker (/usr/i686-pc-linux-gnu/bin/ld) is GNU ld... yes
checking for BSD- or MS-compatible name lister (nm)... /usr/bin/nm -B
checking the name lister (/usr/bin/nm -B) interface... BSD nm
checking whether ln -s works... yes
checking the maximum length of command line arguments... 1572864
checking whether the shell understands some XSI constructs... yes
checking whether the shell understands "+="... yes
checking for /usr/i686-pc-linux-gnu/bin/ld option to reload object files... -r
checking for i686-pc-linux-gnu-objdump... i686-pc-linux-gnu-objdump
checking how to recognize dependent libraries... pass_all
checking for i686-pc-linux-gnu-ar... i686-pc-linux-gnu-ar
checking for i686-pc-linux-gnu-strip... i686-pc-linux-gnu-strip
checking for i686-pc-linux-gnu-ranlib... i686-pc-linux-gnu-ranlib
checking command to parse /usr/bin/nm -B output from i686-pc-linux-gnu-gcc object... ok
checking how to run the C preprocessor... i686-pc-linux-gnu-gcc -E
checking for ANSI C header files... yes
checking for sys/types.h... yes
checking for sys/stat.h... yes
checking for stdlib.h... yes
checking for string.h... yes
checking for memory.h... yes
checking for strings.h... yes
checking for inttypes.h... yes
checking for stdint.h... yes
checking for unistd.h... yes
checking for dlfcn.h... yes
checking for objdir... .libs
checking if i686-pc-linux-gnu-gcc supports -fno-rtti -fno-exceptions... no
checking for i686-pc-linux-gnu-gcc option to produce PIC... -fPIC -DPIC
checking if i686-pc-linux-gnu-gcc PIC flag -fPIC -DPIC works... yes
checking if i686-pc-linux-gnu-gcc static flag -static works... yes
checking if i686-pc-linux-gnu-gcc supports -c -o file.o... yes
checking if i686-pc-linux-gnu-gcc supports -c -o file.o... (cached) yes
checking whether the i686-pc-linux-gnu-gcc linker (/usr/i686-pc-linux-gnu/bin/ld) supports shared libraries... yes
checking whether -lc should be explicitly linked in... no
checking dynamic linker characteristics... GNU/Linux ld.so
checking how to hardcode library paths into programs... immediate
checking whether stripping libraries is possible... yes
checking if libtool supports shared libraries... yes
checking whether to build shared libraries... yes
checking whether to build static libraries... no
checking for i686-pc-linux-gnu-gcc... (cached) i686-pc-linux-gnu-gcc
checking whether we are using the GNU C compiler... (cached) yes
checking whether i686-pc-linux-gnu-gcc accepts -g... (cached) yes
checking for i686-pc-linux-gnu-gcc option to accept ISO C89... (cached) none needed
checking dependency style of i686-pc-linux-gnu-gcc... (cached) gcc3
checking for pkg-config... yes
checking locale.h usability... yes
checking locale.h presence... yes
checking for locale.h... yes
checking for LC_MESSAGES... yes
checking libintl.h usability... yes
checking libintl.h presence... yes
checking for libintl.h... yes
checking for ngettext in libc... yes
checking for dgettext in libc... yes
checking for bind_textdomain_codeset... yes
checking for msgfmt... /usr/bin/msgfmt
checking for dcgettext... yes
checking if msgfmt accepts -c... yes
checking for gmsgfmt... /usr/bin/gmsgfmt
checking for xgettext... /usr/bin/xgettext
checking whether NLS is requested... yes
checking for intltool >= 0.37.1... 0.41.1 found
checking for intltool-update... /usr/bin/intltool-update
checking for intltool-merge... /usr/bin/intltool-merge
checking for intltool-extract... /usr/bin/intltool-extract
checking for xgettext... (cached) /usr/bin/xgettext
checking for msgmerge... /usr/bin/msgmerge
checking for msgfmt... (cached) /usr/bin/msgfmt
checking for gmsgfmt... (cached) /usr/bin/gmsgfmt
checking for perl... /usr/bin/perl
checking for perl >= 5.8.1... 5.12.2
checking for XML::Parser... ok
checking for i686-pc-linux-gnu-pkg-config... no
checking for pkg-config... /usr/bin/pkg-config
checking pkg-config is at least version 0.9.0... yes
checking gnome-doc-utils >= 0.17.3... yes
checking for gconftool-2... /usr/bin/gconftool-2
Using config source xml:merged:/etc/gconf/gconf.xml.defaults for schema installation
Using $(sysconfdir)/gconf/schemas as install directory for schema files
checking for a Python interpreter with version >= 2.4... python
checking for python... /usr/bin/python
checking for python version... 2.6
checking for python platform... linux2
checking for python script directory... ${prefix}/lib/python2.6/site-packages
checking for python extension module directory... ${exec_prefix}/lib/python2.6/site-packages
checking for headers required to compile python extensions... found
checking for HAMSTER... yes
checking for gnomeapplet module... yes
checking for pygtk-codegen-2.0... /usr/bin/pygtk-codegen-2.0
checking for pygtk defs... /usr/share/pygtk/2.0/defs
checking for python sqlite module... no
configure: error: Python 2.5+: inbuilt sqlite is required to build hamster

!!! Please attach the following file when seeking support:
!!! /var/tmp/portage/gnome-extra/hamster-applet-2.30.2-r1/work/hamster-applet-2.30.2/config.log
 * ERROR: gnome-extra/hamster-applet-2.30.2-r1 failed:
 *   econf failed
 *
 * Call stack:
 *     ebuild.sh, line   54:  Called src_configure
 *   environment, line 4993:  Called gnome2_src_configure
 *   environment, line 2766:  Called econf
 *     ebuild.sh, line  544:  Called die
 * The specific snippet of code:
 *            die "econf failed"
 *
 * If you need support, post the output of 'emerge --info =gnome-extra/hamster-applet-2.30.2-r1',
 * the complete build log and the output of 'emerge -pqv =gnome-extra/hamster-applet-2.30.2-r1'.
 * The complete build log is located at '/var/tmp/portage/gnome-extra/hamster-applet-2.30.2-r1/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/gnome-extra/hamster-applet-2.30.2-r1/temp/environment'.
 * S: '/var/tmp/portage/gnome-extra/hamster-applet-2.30.2-r1/work/hamster-applet-2.30.2'

>>> Failed to emerge gnome-extra/hamster-applet-2.30.2-r1, Log file:

>>>  '/var/tmp/portage/gnome-extra/hamster-applet-2.30.2-r1/temp/build.log'

 * Messages for package gnome-extra/hamster-applet-2.30.2-r1:

 * ERROR: gnome-extra/hamster-applet-2.30.2-r1 failed:
 *   econf failed
 *
 * Call stack:
 *     ebuild.sh, line   54:  Called src_configure
 *   environment, line 4993:  tanCalled gnome2_src_configure
 *   environment, line 2766:  Called econf
 *     ebuild.sh, line  544:  Called die
 * The specific snippet of code:
 *            die "econf failed"
 *
 * If you e compilare  support, post the output of 'emerge --info =gnome-extra/hamster-applet-2.30.2-r1',
 * the complete build log and the output of 'emerge -pqv =gnome-extra/hamster-applet-2.30.2-r1'.
 * The complete build log is located at '/var/tmp/portage/gnome-extra/hamster-applet-2.30.2-r1/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/gnome-extra/hamster-applet-2.30.2-r1/temp/environment'.
 * S: '/var/tmp/portage /gnome-extra/hamster-applet-2.30.2-r1/work/hamster-applet-2.30.2'


in particolare configure: error: Python 2.5+: inbuilt sqlite is required to build hamster questo errore
notando sqlite lo avrei dovuto attivare nelle use, pero continua a darmi ugualmente lo stesso errore

spero che avrete qualche consciglio da darmi ho provato varie cose

emerge -1 dev-python/pysqlite && emerge --resume
emerge -1v dev-lang/python
e an compilare sqlite etc..
b]emerge -1 dev-lang/python:2.6[/b]

ma sempre lo stesso errore non riesco proprio a capire questa volta che cosa possa essere che mi blocca
_________________
persempre gentoo
il mio progetto in fase di lavoro
Http://stradedicarta.netsons.org


Last edited by mattylux on Sat Dec 11, 2010 10:43 am; edited 1 time in total
Back to top
View user's profile Send private message
cloc3
Advocate
Advocate


Joined: 13 Jan 2004
Posts: 4657
Location: http://www.gentoo-users.org/user/cloc3/

PostPosted: Wed Nov 24, 2010 10:09 pm    Post subject: Reply with quote

mhmm:
Code:

s939 ~ # eix dev-python/pysqlite
* dev-python/pysqlite
     Available versions: 
   (0)   1.0.1
   (2)   2.6.0 ~2.6.0-r1
   {examples}
     Homepage:            http://code.google.com/p/pysqlite/ http://pypi.python.org/pypi/pysqlite
     Description:         DB-API 2.0 interface for SQLite 3.x

mi sa che, al momento, il pacchetto pysqlite è disponibile solo nella versione per 2.6 (slot2), mentre la slot (0) non funziona per te.
d'altra parte, oramai python-2.5 comincia da essere vecchio, e addirittura si sta impostando il passaggio a python-3.

passa alla versione stabile di python 2.6.
tuttavia, se questa fosse la soluzione, potresti segnalare il problema su bugzilla, perché emerge avrebbe dovuto impostare la dipendenza in automatico.
_________________
vu vu vu
gentù
mi piaci tu
Back to top
View user's profile Send private message
Onip
Advocate
Advocate


Joined: 02 Sep 2004
Posts: 2912
Location: Parma (Italy)

PostPosted: Thu Nov 25, 2010 8:51 am    Post subject: Reply with quote

cloc3 wrote:

passa alla versione stabile di python 2.6.


È già con python-2.6

mattylux wrote:

checking for python version... 2.6


Pare sia un problema su cui i dev stanno lavorando.
_________________
Linux Registered User n. 373835

Titus Lucretius Carus, De Rerum Natura - Tantum religio potuit suadere malorum
Back to top
View user's profile Send private message
mattylux
Apprentice
Apprentice


Joined: 19 Jul 2008
Posts: 240
Location: bologna

PostPosted: Thu Nov 25, 2010 9:45 am    Post subject: Reply with quote

si si,

ho gia la versione stabile di python, pero lascio stare mi tocchera aspettare fino a quando non risolvano questo bug,
comunque ieri sera ho fatto anche un aggiornamento completo su tutte le USE, non ho avuto nessun tipo di problema di compilazione.
ho lanciato anche piu di una volta revdep-rebuild nessun problema tutto perfetto.. e soltanto quel maledetto pacchetto che rompe


Code:
eix -I dev-lang/pytho
[I] dev-lang/pythonquel pacchetto
     Available versions: 
   (2.4)   2.4.6
   (2.5)   2.5.4-r4
   (2.6)   2.6.5-r3 ~2.6.6-r1
   (2.7)   [M]~2.7
   (3.1)   3.1.2-r4
   {-berkdb bootstrap build +cxx doc elibc_uclibc examples gdbm ipv6 +ncurses +readline sqlite +ssl +threads tk +wide-unicode wininst +xml}
     Installed versions:  2.6.5-r3(2.6)(21:58:37 11/24/10)(berkdb build gdbm ipv6 ncurses readline sqlite ssl threads wide-unicode xml -doc -elibc_uclibc -examples -tk -wininst) 3.1.2-r4(3.1)(15:37:40 11/24/10)(build gdbm ipv6 ncurses readline sqlite ssl threads wide-unicode xml -doc -elibc_uclibc -examples -tk -wininst)
     Homepage:            http://www.python.org/
     Description:         Python is an interpreted, interactive, object-oriented



Code:
[I] dev-python/pysqlite
     Available versions: 
   (0)   1.0.1
   (2)   2.6.0 ~2.6.0-r1
   {examples}
     Installed versions:  2.6.0(2)(23:14:54 11/24/10)(-examples)
     Homepage:            http://code.google.com/p/pysqlite/ http://pypi.python.org/pypi/pysqlite
     Description:         DB-API 2.0 interface for SQLite 3.x

_________________
persempre gentoo
il mio progetto in fase di lavoro
Http://stradedicarta.netsons.org
Back to top
View user's profile Send private message
mattylux
Apprentice
Apprentice


Joined: 19 Jul 2008
Posts: 240
Location: bologna

PostPosted: Sat Dec 11, 2010 10:44 am    Post subject: Reply with quote

ho modificato il titolo del post comunque risolto con aggiornamento
_________________
persempre gentoo
il mio progetto in fase di lavoro
Http://stradedicarta.netsons.org
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Forum italiano (Italian) All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum